<?

/*include '../config.php';
include '../func.php';

head();
aut();
ban();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'magaz' WHERE `id` = '".$id_session."'");
####################################################
////////////////////////////////////////


if ( $_GET['res'] == 'yes' ) {
    echo katalog . 'Ваш рейтинг увеличен' . div;
}

if ( $_GET['res'] == 'no' ) {
    echo katalog . 'Возникла ошибка' . div;
}

if ( $_GET['res'] == 'meny' ) {
    echo katalog . 'У вас нет столько монет' . div;
}


echo head . "<b>Магазин</b>" . div;
echo clouds . 'Покупка рейтинга' . div .katalog;
$a = 1;

echo '1% = '.$a.' монет<br/ >';
echo 'Ваш рейтинг: '.$user['rating'].'%<br/ >';
echo 'У вас монет: '.$many_session.'<br/ ><br/ >';


echo '<form action="rating.php?result" method="post" name="form">
Введите монеты для обмена: max '.$many_session.' монет<br/ >
<input name="many" type="text" maxlength="20" /><br/ >
<input name="submit" type="submit"  class="button" value="Обменять" /></form><br/ >';


if ( isset($_GET['result']) ) {
    
    $many = num($_POST['many']);
    
    if ( $many > $many_session ) echo rew('rating.php?res=many');
     if ( $many < 1 ) echo rew('rating.php?res=many');
    else {
        
        $rating = $user['ratingmany'] + ($many * $a);
        if (mysql_query("UPDATE `profile` SET `ratingmany` = '".$rating."', `many` = '".($user['many'] - $many)."' WHERE `id` = '".$id_session."'"))
        echo rew('rating.php?res=yes'); else echo rew('rating.php?res=no');
            
        
    
    }
    
    
    
}

//////////////////////////////////////
echo div;
pod_navig();
foot();
?>